<template>
    <v-menu
        v-model="menu"
        :close-on-content-click="false"
        offset-y
        bottom
    >
        <template v-slot:activator="{ on }">
            <v-avatar
                class="locale"
                v-on="on"
            >
                <v-img :src="imageSrc"></v-img>
            </v-avatar>
        </template>

        <v-card class="locale-card">
            <v-card-text>
                <p>{{ $t('select_language') }}</p>
                <v-select
                    v-model="localValue"
                    :items="languages"
                    item-key="language"
                    item-value="code"
                    @change="menu = false"
                    dense
                    hide-details
                    outlined
                >
                    <template v-slot:selection="{ item }">
                        <span class="d-inline-block">
                            {{ item.language }}
                        </span>
                    </template>
                    <template v-slot:item="{ item }">
                        {{ item.language }}
                    </template>
                </v-select>
            </v-card-text>
        </v-card>
    </v-menu>
</template>

<script>
    export default {
        name: "VLocaleSelect",
        data: () => ({
            menu: false
        }),
        computed: {
            languages() {
                return [
                    { language: this.$t('english'), code: 'en' },
                    { language: this.$t('chinese'), code: 'zh' },
                ]
            },

            imageSrc() {
                return '/images/dashboard/' + this.localValue + '.png';
            },

            localValue: {
                get() {
                    return this.$store.getters['locale/getLocale'];
                },

                set(val) {
                    this.$store.commit('locale/setLocale', val);
                }
            }
        }
    }
</script>

<style scoped>
    .locale:hover {
        opacity: 0.6;
        cursor: pointer;
    }
    .locale-card {
        width: 12rem;
        border-radius: 0.4375rem !important;
    }
</style>
